OGRE: Ogre::EmbeddedZipArchiveFactory Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::EmbeddedZipArchiveFactory Class Reference
Core » Resources

Specialisation of ZipArchiveFactory for embedded Zip files. More...

`#include <OgreZip.h>`

Inheritance diagram for Ogre::EmbeddedZipArchiveFactory:
[legend]

## Public Types
typedef bool(* | DecryptEmbeddedZipFileFunc) (size_t pos, void *buf, size_t len)
| a function type to decrypt embedded zip file

## Public Member Functions
| EmbeddedZipArchiveFactory ()
virtual | ~EmbeddedZipArchiveFactory ()
Archive * | createInstance (const String &name, bool readOnly) override
| Creates a new object.
void | destroyInstance (Archive *ptr) override
| Destroys an object which was created by this factory.
const String & | getType (void) const override
| Returns the factory type.
Public Member Functions inherited from Ogre::ZipArchiveFactory
virtual | ~ZipArchiveFactory ()
Archive * | createInstance (const String &name, bool readOnly) override
| Creates a new object.
const String & | getType (void) const override
| Returns the factory type.
Public Member Functions inherited from Ogre::ArchiveFactory
virtual | ~ArchiveFactory ()
Archive * | createInstance (const String &name) override
| Creates a new object.
Public Member Functions inherited from Ogre::FactoryObj< Archive >
virtual | ~FactoryObj ()

## Static Public Member Functions
static void | addEmbbeddedFile (const String &name, const uint8 *fileData, size_t fileSize, DecryptEmbeddedZipFileFunc decryptFunc)
| Add an embedded file to the embedded file list.
static void | removeEmbbeddedFile (const String &name)
| Remove an embedded file to the embedded file list.

## Detailed Description

Specialisation of ZipArchiveFactory for embedded Zip files.

## Member Typedef Documentation

## ◆ DecryptEmbeddedZipFileFunc

typedef bool(* Ogre::EmbeddedZipArchiveFactory::DecryptEmbeddedZipFileFunc) (size_t pos, void *buf, size_t len)

a function type to decrypt embedded zip file

Parameters

  pos | pos in file
  buf | current buffer to decrypt
  len | - length of buffer

Returns
  success

## Constructor & Destructor Documentation

## ◆ EmbeddedZipArchiveFactory()

Ogre::EmbeddedZipArchiveFactory::EmbeddedZipArchiveFactory | ( |  | ) |

## ◆ ~EmbeddedZipArchiveFactory()

virtual Ogre::EmbeddedZipArchiveFactory::~EmbeddedZipArchiveFactory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getType()

const String & Ogre::EmbeddedZipArchiveFactory::getType | ( | void |  | ) | const
| overridevirtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< Archive >.

References Ogre::ArchiveFactory::createInstance().

## ◆ createInstance()

Archive * Ogre::EmbeddedZipArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly )
| overridevirtual

Creates a new object.

Parameters

  name | Name of the object to create
  readOnly | whether the Archive is read only

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::ArchiveFactory.

## ◆ destroyInstance()

void Ogre::EmbeddedZipArchiveFactory::destroyInstance | ( | Archive * | ptr | ) |
| overridevirtual

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Reimplemented from Ogre::FactoryObj< Archive >.

## ◆ addEmbbeddedFile()

void Ogre::EmbeddedZipArchiveFactory::addEmbbeddedFile | ( | const String & | name,
|  | const uint8 * | fileData,
|  | size_t | fileSize,
|  | DecryptEmbeddedZipFileFunc | decryptFunc )
| static

Add an embedded file to the embedded file list.

## ◆ removeEmbbeddedFile()

void Ogre::EmbeddedZipArchiveFactory::removeEmbbeddedFile | ( | const String & | name | ) |
| static

Remove an embedded file to the embedded file list.

The documentation for this class was generated from the following file:

- OgreZip.h